Subject: Re: bug#6385: A slightly less aggressive fit-window-to-buffer

From: Lennart Borgman <[email-masked]>
Date: Sat, 12 Jun 2010 16:24:25 +0200

On Sat, Jun 12, 2010 at 4:16 PM, martin rudalics <[email-masked]> wrote:
>>> Deleting other windows when resizing was a misguided feature.  I don't
>>> do that any more for quite some time and didn't miss it yet ;-)
>>
>> Did you rewrite fit-window-to-buffer or do you have another function for
>> this?
>
> I wrote my own windows resizing functions mostly in Elisp.
>
>> Yes, but what it handled was that it prevented a window to grow over
>> the buffers size.
>
> If your concern is that enlarging the window of a temporary buffer can
> delete other windows then doing what you propose would handle just a few
> cases.
>
>> But I do not know why the window grow bigger than the buffer.
>
> The while loop at the end of `fit-window-to-buffer' is not sane.  Here I
> still have it wrapped in a `condition-case' because in some pathological
> cases it can throw an error.

Can't we just throw in a better code instead of fit-window-to-buffer?
(And rename fit-window-to-buffer to killing-window-fit-to-buffer if
someone really wants it.)

It does not have to be perfect. Just good enough. We can surely make
it better later if we need to.